# Uses of Class
org.apache.qpid.proton.codec.ByteType

Packages that use ByteType
Package
Description
org.apache.qpid.proton.codec

## Uses of ByteType in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return ByteType
Modifier and Type
Method
Description
`ByteType`
ByteType.ByteEncoding.`getType()`
Constructors in org.apache.qpid.proton.codec with parameters of type ByteType
Modifier
Constructor
Description
``
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`